Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.transport
Class DefaultEndpoint

    java.lang.Object
      org.codehaus.xfire.transport.DefaultEndpoint

All Implemented Interfaces:
  ChannelEndpoint

    public class DefaultEndpoint

extends java.lang.Object
implements ChannelEndpoint

A `ChannelEndpoint` which executes the in pipeline on the service and starts a `MessageExchange`.

Author:
  Dan Diephouse

Field Summary
`static java.lang.String` | `SERVICE_HANDLERS_REGISTERED`

Constructor Summary
`DefaultEndpoint()`

Method Summary
`void` | `finishReadingMessage(InMessage message, MessageContext context)`
`void` | `onReceive(MessageContext context, InMessage msg)`
`protected void` | `sendFault(XFireFault fault, MessageContext context)`
`protected void` | `sendToDeadLetter(XFireFault fault, MessageContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERVICE_HANDLERS_REGISTERED

    public static final java.lang.String SERVICE_HANDLERS_REGISTERED

See Also:
  Constant Field Values

Constructor Detail

### DefaultEndpoint

    public DefaultEndpoint()

Method Detail

### onReceive

    public void onReceive(MessageContext context,
                          InMessage msg)

  Specified by:
    `onReceive` in interface `ChannelEndpoint`

### sendToDeadLetter

    protected void sendToDeadLetter(XFireFault fault,
                                    MessageContext context)

### sendFault

    protected void sendFault(XFireFault fault,
                             MessageContext context)

### finishReadingMessage

    public void finishReadingMessage(InMessage message,
                                     MessageContext context)
                              throws XFireFault

  Throws:
    `XFireFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.